Klantensysteem Home > Kennisbank > PHP & MySql > PHP - foutmeldingen


PHP - foutmeldingen




Omdat je server een nieuwe PHP versie krijgt kan het voorkomen dat een website foutmeldingen gaat vertonen. Vooral als je gebruik maakt van (verouderde) versies van op PHP gebaseerde Content Management Systemen (denk aan Joomla, WordPress of Drupal), zal dit voor gaan komen. Maar ook als je zelf in PHP hebt geprogrammeerd, kan het zijn dat je op dat moment gebruik gemaakt hebben van functies die ondertussen niet meer actief zijn.

Voor een overzicht van alle wijzigingen in nieuwere versies van PHP, kunt het beste terecht bij de PHP documentatie zelf. Deze vindt u op de volgende URL: http://php.net/manual/en/migration55.changes.php

Vooral de deprecated functies zullen zichtbaar gaan worden. Een overzicht van de verschillende functies die per versie vervallen zijn, vindt u hier:

    Van PHP 5.2 naar 5.3: http://php.net/manual/en/migration53.deprecated.php
    Van PHP 5.3 naar 5.4: http://php.net/manual/en/migration54.deprecated.php
    Van PHP 5.4 naar 5.5: http://php.net/manual/en/migration55.deprecated.php

Wanneer je zelf je website hebt geprogrammeerd, dan moet je weten dat enkele functies uit PHP 5.2 in versie 5.4 niet langer worden ondersteund door The PHP Group. Je dient deze functies uit je broncode te verwijderen, of te vervangen door alternatieven.

Was dit antwoord nuttig?

Aan favorieten toevoegen Aan favorieten toevoegen    Print dit artikel Print dit artikel

Lees ook
PHP - PHP Warning (Bekeken: 1100)

webteam.nl